Overriding Instrument Reference Data
Last updated: 2026-02-12
Sometimes, the reference data MantaRisk provides through its built-in data sources may not match the reference data used elsewhere in our client's systems. For instance we might classify an instrument as CFI code CEOGMS but you may want it to be classified as CEOGES.
For such cases, we provide the ability to override instruments using proxys and the PUT /history endpoint.
Here is an example below. Our CFI classification for Apple is ES. Here we override its classification, country and sector:
{
"instrument": {
"instrument_code": "YourUniqueCode",
"asset_class": "ESN",
"currency": "USD",
"name": "Apple Non-Voting",
"identifiers": {
"isin": "US0378331005"
},
"classification": {
"sector": "Consumer Discretionary",
"primary_country": "CN"
}
},
"proxy": {
"isin": "US0378331005",
"currency": "USD"
}
}
For more information on how proxys behave see Loading Your Own Instruments.
